%define name xmms-compress
%define version 1.1
%define release 2mdk

Summary:		XMMS plugin to normalize audio output
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			http://trikuare.cx/~magenta/projects/%{name}-%{version}.tar.bz2
License:		GPL
Group:			Sound
Requires:		xmms
BuildRequires:	xmms-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

URL:			http://trikuare.cx/~magenta/projects/xmms-compress.html

%description
xmms-compress is (essentially) a dynamic range compressor intended
to keep the output of XMMS at a consistent volume without introducing
audible artifacts.  It is similar to xmms-volnorm, but uses fixed-point
math and thus runs faster.  Many users also report better quality
normalization.

%prep
%setup

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xmms/Effect
cp libcompress.so $RPM_BUILD_ROOT/%{_libdir}/xmms/Effect/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,0755)
%doc ChangeLog COPYING README TODO
%{_libdir}/xmms/Effect/libcompress.so

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1-2mdk
- rebuild

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- from Levi Ramsey <levi@cygnetnet.net> :
	- Initial Cooker contrib
